Package org.eclipse.lemminx.extensions.contentmodel.participants

## Enum DTDErrorCode

- java.lang.Object
- - java.lang.Enum<DTDErrorCode>
  - - org.eclipse.lemminx.extensions.contentmodel.participants.DTDErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<DTDErrorCode>`, `IXMLErrorCode`

    public enum DTDErrorCode
    extends Enum<DTDErrorCode>
    implements IXMLErrorCode

DTD error code.

### Enum Constant Summary

Enum Constants
`AttNameRequiredInAttDef`
`AttTypeRequiredInAttDef`
`DTDNotFound`
`ElementDeclUnterminated`
`EntityDeclUnterminated`
`EntityExpansionLimitExceeded`
`EntityNotDeclared`
`ExternalIDorPublicIDRequired`
`IDInvalidWithNamespaces`
`IDREFInvalidWithNamespaces`
`IDREFSInvalid`
`LessthanInAttValue`
`MSG_ATTRIBUTE_NOT_DECLARED`
`MSG_ATTRIBUTE_VALUE_NOT_IN_LIST`
`MSG_CLOSE_PAREN_REQUIRED_IN_CHILDREN`
`MSG_CONTENT_INCOMPLETE`
`MSG_CONTENT_INVALID`
`MSG_ELEMENT_ALREADY_DECLARED`
`MSG_ELEMENT_NOT_DECLARED`
`MSG_ELEMENT_TYPE_REQUIRED_IN_ATTLISTDECL`
`MSG_ELEMENT_TYPE_REQUIRED_IN_ELEMENTDECL`
`MSG_ELEMENT_WITH_ID_REQUIRED`
`MSG_ENTITY_NAME_REQUIRED_IN_ENTITYDECL`
`MSG_FIXED_ATTVALUE_INVALID`
`MSG_MARKUP_NOT_RECOGNIZED_IN_DTD`
`MSG_NOTATION_NAME_REQUIRED_IN_NOTATIONDECL`
`MSG_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED_IN_CHILDREN`
`MSG_REQUIRED_ATTRIBUTE_NOT_SPECIFIED`
`MSG_SPACE_REQUIRED_AFTER_NOTATION_NAME_IN_NOTATIONDECL`
`MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ATTLISTDECL`
`MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ELEMENTDECL`
`MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_ENTITYDECL`
`NotationDeclUnterminated`
`OpenQuoteExpected`
`OpenQuoteMissingInDecl`
`PEReferenceWithinMarkup`
`QuoteRequiredInPublicID`
`QuoteRequiredInSystemID`
`SpaceRequiredAfterSYSTEM`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DTDErrorCode` `get​(String name)`
`String` `getCode()` Returns the XML error code.
`static void` `registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions, SharedSettings sharedSettings)`
`static org.eclipse.lsp4j.Range` `toLSPRange​(org.apache.xerces.xni.XMLLocator location, DTDErrorCode code, Object[] arguments, DOMDocument document)` Create the LSP range from the SAX error.
`static DTDErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DTDErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AttNameRequiredInAttDef

    public static final DTDErrorCode AttNameRequiredInAttDef

#### AttTypeRequiredInAttDef

    public static final DTDErrorCode AttTypeRequiredInAttDef

#### ElementDeclUnterminated

    public static final DTDErrorCode ElementDeclUnterminated

#### EntityDeclUnterminated

    public static final DTDErrorCode EntityDeclUnterminated

#### EntityNotDeclared

    public static final DTDErrorCode EntityNotDeclared

#### EntityExpansionLimitExceeded

    public static final DTDErrorCode EntityExpansionLimitExceeded

#### ExternalIDorPublicIDRequired

    public static final DTDErrorCode ExternalIDorPublicIDRequired

#### IDInvalidWithNamespaces

    public static final DTDErrorCode IDInvalidWithNamespaces

#### IDREFInvalidWithNamespaces

    public static final DTDErrorCode IDREFInvalidWithNamespaces

#### IDREFSInvalid

    public static final DTDErrorCode IDREFSInvalid

#### LessthanInAttValue

    public static final DTDErrorCode LessthanInAttValue

#### MSG_ATTRIBUTE_NOT_DECLARED

    public static final DTDErrorCode MSG_ATTRIBUTE_NOT_DECLARED

#### MSG_ATTRIBUTE_VALUE_NOT_IN_LIST

    public static final DTDErrorCode MSG_ATTRIBUTE_VALUE_NOT_IN_LIST

#### MSG_CONTENT_INCOMPLETE

    public static final DTDErrorCode MSG_CONTENT_INCOMPLETE

#### MSG_CONTENT_INVALID

    public static final DTDErrorCode MSG_CONTENT_INVALID

#### MSG_ELEMENT_ALREADY_DECLARED

    public static final DTDErrorCode MSG_ELEMENT_ALREADY_DECLARED

#### MSG_ELEMENT_NOT_DECLARED

    public static final DTDErrorCode MSG_ELEMENT_NOT_DECLARED

#### MSG_ELEMENT_TYPE_REQUIRED_IN_ATTLISTDECL

    public static final DTDErrorCode MSG_ELEMENT_TYPE_REQUIRED_IN_ATTLISTDECL

#### MSG_ELEMENT_TYPE_REQUIRED_IN_ELEMENTDECL

    public static final DTDErrorCode MSG_ELEMENT_TYPE_REQUIRED_IN_ELEMENTDECL

#### MSG_ELEMENT_WITH_ID_REQUIRED

    public static final DTDErrorCode MSG_ELEMENT_WITH_ID_REQUIRED

#### MSG_ENTITY_NAME_REQUIRED_IN_ENTITYDECL

    public static final DTDErrorCode MSG_ENTITY_NAME_REQUIRED_IN_ENTITYDECL

#### MSG_FIXED_ATTVALUE_INVALID

    public static final DTDErrorCode MSG_FIXED_ATTVALUE_INVALID

#### MSG_MARKUP_NOT_RECOGNIZED_IN_DTD

    public static final DTDErrorCode MSG_MARKUP_NOT_RECOGNIZED_IN_DTD

#### MSG_NOTATION_NAME_REQUIRED_IN_NOTATIONDECL

    public static final DTDErrorCode MSG_NOTATION_NAME_REQUIRED_IN_NOTATIONDECL

#### MSG_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED_IN_CHILDREN

    public static final DTDErrorCode MSG_OPEN_PAREN_OR_ELEMENT_TYPE_REQUIRED_IN_CHILDREN

#### MSG_CLOSE_PAREN_REQUIRED_IN_CHILDREN

    public static final DTDErrorCode MSG_CLOSE_PAREN_REQUIRED_IN_CHILDREN

#### MSG_REQUIRED_ATTRIBUTE_NOT_SPECIFIED

    public static final DTDErrorCode MSG_REQUIRED_ATTRIBUTE_NOT_SPECIFIED

#### MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ATTLISTDECL

    public static final DTDErrorCode MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ATTLISTDECL

#### MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ELEMENTDECL

    public static final DTDErrorCode MSG_SPACE_REQUIRED_BEFORE_ELEMENT_TYPE_IN_ELEMENTDECL

#### MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_ENTITYDECL

    public static final DTDErrorCode MSG_SPACE_REQUIRED_BEFORE_ENTITY_NAME_IN_ENTITYDECL

#### MSG_SPACE_REQUIRED_AFTER_NOTATION_NAME_IN_NOTATIONDECL

    public static final DTDErrorCode MSG_SPACE_REQUIRED_AFTER_NOTATION_NAME_IN_NOTATIONDECL

#### NotationDeclUnterminated

    public static final DTDErrorCode NotationDeclUnterminated

#### OpenQuoteExpected

    public static final DTDErrorCode OpenQuoteExpected

#### OpenQuoteMissingInDecl

    public static final DTDErrorCode OpenQuoteMissingInDecl

#### PEReferenceWithinMarkup

    public static final DTDErrorCode PEReferenceWithinMarkup

#### QuoteRequiredInPublicID

    public static final DTDErrorCode QuoteRequiredInPublicID

#### QuoteRequiredInSystemID

    public static final DTDErrorCode QuoteRequiredInSystemID

#### SpaceRequiredAfterSYSTEM

    public static final DTDErrorCode SpaceRequiredAfterSYSTEM

#### DTDNotFound

    public static final DTDErrorCode DTDNotFound

### Method Detail

#### values

    public static DTDErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DTDErrorCode c : DTDErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DTDErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public String getCode()

Description copied from interface: `IXMLErrorCode`
Returns the XML error code.

Specified by:
  `getCode` in interface `IXMLErrorCode`
Returns:
  the XML error code.

#### get

    public static DTDErrorCode get​(String name)

#### toLSPRange

    public static org.eclipse.lsp4j.Range toLSPRange​(org.apache.xerces.xni.XMLLocator location,
                                                     DTDErrorCode code,
                                                     Object[] arguments,
                                                     DOMDocument document)

Create the LSP range from the SAX error.

Parameters:
  `location` -
  `key` -
  `arguments` -
  `document` -
Returns:
  the LSP range from the SAX error.

#### registerCodeActionParticipants

    public static void registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions,
                                                      SharedSettings sharedSettings)